// Author: Marcelo Zimbres Silva <mailto:mzimbres@gmail.com>

/* Copyright (C) 2009 Marcelo Zimbres Silva
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or (at
 * your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 */

#ifndef SWAT_TWignerd
#define SWAT_TWignerd

// ROOT

#include "TObject.h"
#include "TArrayD.h"
 
class TWignerd: public TObject{
   private:
   Int_t fLBandLim;         // Band limit of the signal to be analised.
   Double_t fL;             // Value of l in each step of the recursion.
   Int_t fSize;            // Size of container with deltas.
   TArrayD fMatrix;        // Delta coefficients. 		   
   Int_t    fIndex(Int_t m,Int_t n) const {return ((m*(m+1) >> 1) + n);} // Global index

   public:
            TWignerd() {}
            TWignerd(Int_t lbandlim); 
            ~TWignerd() {}
   void     Recurse(); 
   Double_t Delta(Int_t m,Int_t n) const;
   Int_t    GetL() const {return fL;}

   ClassDef(TWignerd,1); // Wigner d-matrices

};

#endif

