//#include <iostream>
//#include "TArrayD.h"
//#include "TMath.h"
//#include "TGraph.h"
//#include "TCanvas.h"
//#include "TVirtualFFT.h"
//#include "TWignerd.h"

void wig_graph(Int_t l,Int_t m,Int_t n,const Int_t size = 1024)
{
   // Number of points that will be used to represent the function.

   TWignerd wig(l+1);

   for(Int_t i=0;i<l;++i)
      wig.Recurse();

   TSmallWignerd smallwd(size);

   Double_t *vecy = smallwd.Get(wig,m,n);

   Double_t vecx[size];
   for (Int_t j = 0; j < size; ++j) 
      vecx[j] = 2*TMath::Pi()*(j + 1/2)/size;

   TGraph *gr = new TGraph(size,vecx,vecy);
   gr->SetTitle("Wigner d function");
   gr->SetLineColor(kSpring+3);
   gr->SetFillColor(kSpring+3);
   gr->SetLineWidth(3);
   gr->Draw("ac");

}

